%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define ff_epoch 0
%define ff_ver 3.0.5

%define _mozillapath %{_libdir}/firefox-%{ff_ver}
%define _mozillaextpath %{_mozillapath}/extensions

Summary: Oxygen Icons for Mozilla Firefox
Name: mozilla-firefox-theme-oxygen
Version: 0.1
Release: %mkrel 8
License: MPLv1.1 and LGPLv2+
Group: Networking/WWW
URL: http://websvn.kde.org/trunk/playground/artwork/Oxygen/firefox/Oxygen
Source: %name-%version.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mozilla-firefox = %{ff_epoch}:%{ff_ver}

%description
Oxygen theme is a KDE4-like theme using Oxygen icons for Mozilla Firefox.

%prep
%setup -q -n Oxygen

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc COPYING
%dir %_mozillapath
%{_mozillaextpath}


%changelog
* Thu Dec 25 2008 Funda Wang <fundawang@mandriva.org> 0.1-8mdv2009.1
+ Revision: 318928
- rebuild for new ff

* Sun Nov 16 2008 Funda Wang <fundawang@mandriva.org> 0.1-7mdv2009.1
+ Revision: 303708
- rebuild for new ff

* Mon Sep 29 2008 Funda Wang <fundawang@mandriva.org> 0.1-6mdv2009.0
+ Revision: 289180
- rebuild for new FF

* Thu Jul 31 2008 Funda Wang <fundawang@mandriva.org> 0.1-5mdv2009.0
+ Revision: 257881
- rebuild for ff 3.0.1

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1-4mdv2009.0
+ Revision: 236363
- rebuilt for mozilla-firefox-2.0.0.16

* Fri Jul 04 2008 Funda Wang <fundawang@mandriva.org> 0.1-3mdv2009.0
+ Revision: 231501
- New snapshot of theme

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 0.1-2mdv2009.0
+ Revision: 231264
- Rebuild for firefox 2.0.0.15

  + Funda Wang <fundawang@mandriva.org>
    - fix URL and license
    - import mozilla-firefox-theme-oxygen


